package com.chenyang.nse.bussiness.entity.vo;

import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseGroup;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseMenu;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRole;
import java.util.Date;
import java.util.List;

public class UserVO {
   private String id;
   private String tid;
   private String username;
   private String password;
   private Date createtime;
   private String note;
   private String groupid;
   private String groupname;
   private String roleid;
   private String rolename;
   private String limitnum;
   private String updateuserid;
   private String crud;
   private String realname;
   private String remark;
   private String plaintext;
   private String desensitize;
   private int isenable;
   private Date editpasswordtime;
   private String email;
   private List<TBaseMenu> menuList;
   private List<TBaseRole> rolesList;
   private List<TBaseGroup> groupList;
   private String roleflag;

   public String getPlaintext() {
      return this.plaintext;
   }

   public void setPlaintext(String plaintext) {
      this.plaintext = plaintext;
   }

   public String getDesensitize() {
      return this.desensitize;
   }

   public void setDesensitize(String desensitize) {
      this.desensitize = desensitize;
   }

   public int getIsenable() {
      return this.isenable;
   }

   public void setIsenable(int isenable) {
      this.isenable = isenable;
   }

   public String getRoleflag() {
      return this.roleflag;
   }

   public void setRoleflag(String roleflag) {
      this.roleflag = roleflag;
   }

   public String getGroupid() {
      return this.groupid;
   }

   public void setGroupid(String groupid) {
      this.groupid = groupid;
   }

   public String getGroupname() {
      return this.groupname;
   }

   public void setGroupname(String groupname) {
      this.groupname = groupname;
   }

   public String getRoleid() {
      return this.roleid;
   }

   public void setRoleid(String roleid) {
      this.roleid = roleid;
   }

   public String getRolename() {
      return this.rolename;
   }

   public void setRolename(String rolename) {
      this.rolename = rolename;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id == null ? null : id.trim();
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username == null ? null : username.trim();
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password == null ? null : password.trim();
   }

   public String getLimitnum() {
      return this.limitnum;
   }

   public void setLimitnum(String limitnum) {
      this.limitnum = limitnum;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note == null ? null : note.trim();
   }

   public String getUpdateuserid() {
      return this.updateuserid;
   }

   public void setUpdateuserid(String updateuserid) {
      this.updateuserid = updateuserid;
   }

   public String getCrud() {
      return this.crud;
   }

   public void setCrud(String crud) {
      this.crud = crud;
   }

   public List<TBaseMenu> getMenuList() {
      return this.menuList;
   }

   public void setMenuList(List<TBaseMenu> menuList) {
      this.menuList = menuList;
   }

   public List<TBaseRole> getRolesList() {
      return this.rolesList;
   }

   public void setRolesList(List<TBaseRole> rolesList) {
      this.rolesList = rolesList;
   }

   public List<TBaseGroup> getGroupList() {
      return this.groupList;
   }

   public void setGroupList(List<TBaseGroup> groupList) {
      this.groupList = groupList;
   }

   public String getRealname() {
      return this.realname;
   }

   public void setRealname(String realname) {
      this.realname = realname;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getTid() {
      return this.tid;
   }

   public void setTid(String tid) {
      this.tid = tid;
   }

   public String getEmail() {
      return this.email;
   }

   public void setEmail(String email) {
      this.email = email;
   }

   public Date getEditpasswordtime() {
      return this.editpasswordtime;
   }

   public void setEditpasswordtime(Date editpasswordtime) {
      this.editpasswordtime = editpasswordtime;
   }
}
